<?php

namespace Drupal\genoring\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Dataset creation form.
 *
 * Used to create a new dataset.
 */
class DatasetCreationForm extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'genoring_dataset_creation_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {

    // Versions.
    $form['info'] = [
      '#type'  => 'item',
      '#title' => $this->t('Info'),
      '#markup' => $this->t('Nothing there yet.'),
    ];

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
  }
}
